Subject: Re: Building apps with X11 deps - with no X11
To: Cillian Sharkey <>
From: Manuel Bouyer <>
List: tech-pkg
Date: 07/22/2001 17:47:45
On Sun, Jul 22, 2001 at 01:22:06AM +0100, Cillian Sharkey wrote:
> I've run into a problem building apps that need X11 ("USE_X11"). The server
> I'm installing on does not have X11 installed nor do I need/want it installed.
> One example would be graphics/gd a dependency of net/mrtg. This requires X11.
> So is there a way to install just the minimum X11 libs and includes, or is
> there another solution?

To install the minimum X11 libs and includes, just install the xcomp set.
Hum, this won't bring in shared libraries, you need to extract
the libs from xbase too

Manuel Bouyer, LIP6, Universite Paris VI.